cam = tof.KeaCamera("2030006");
cam.setOnCameraProcessing(false);
cam.setOutputFrameTypes([tof.FrameType.RAW]);
cam.start();

frames = cam.getFrames();
first_frame = frames(1);
cam.stop();

data = first_frame.data();
new_data = zeros(size(data), class(data));
first_frame.setData(new_data);

writer = tof.CsfWriter("files.csf", cam);
writer.writeFrame(first_frame);

clear writer

reader = tof.CsfReader("files.csf");
read_frame = reader.readFrame();
read_data = read_frame.data();